clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::DiagnosticMapping Class Reference

`#include "clang/Basic/DiagnosticIDs.h"`

## Public Member Functions
diag::Severity | getSeverity () const
void | setSeverity (diag::Severity Value)
bool | isUser () const
bool | isPragma () const
bool | isErrorOrFatal () const
bool | hasNoWarningAsError () const
void | setNoWarningAsError (bool Value)
bool | hasNoErrorAsFatal () const
void | setNoErrorAsFatal (bool Value)
bool | wasUpgradedFromWarning () const
| Whether this mapping attempted to map the diagnostic to a warning, but was overruled because the diagnostic was already mapped to an error or fatal error. More...
void | setUpgradedFromWarning (bool Value)
unsigned | serialize () const
| Serialize this mapping as a raw integer. More...

## Static Public Member Functions
static DiagnosticMapping | Make (diag::Severity Severity, bool IsUser, bool IsPragma)
static DiagnosticMapping | deserialize (unsigned Bits)
| Deserialize a mapping. More...

## Detailed Description

Definition at line 99 of file DiagnosticIDs.h.

## Member Function Documentation

## ◆ deserialize()

static DiagnosticMapping clang::DiagnosticMapping::deserialize | ( | unsigned | Bits | ) |
| inline static

Deserialize a mapping.

Definition at line 149 of file DiagnosticIDs.h.

Referenced by clang::ASTReader::ReadPragmaDiagnosticMappings().

## ◆ getSeverity()

diag::Severity clang::DiagnosticMapping::getSeverity | ( |  | ) | const
| inline

Definition at line 120 of file DiagnosticIDs.h.

Referenced by GetDefaultDiagMapping(), clang::DiagnosticIDs::isBuiltinExtensionDiag(), clang::DiagnosticIDs::isDefaultMappingAsError(), clang::DiagnosticsEngine::setDiagnosticGroupErrorAsFatal(), clang::DiagnosticsEngine::setDiagnosticGroupWarningAsError(), clang::DiagnosticsEngine::setSeverity(), and toLevel().

## ◆ hasNoErrorAsFatal()

bool clang::DiagnosticMapping::hasNoErrorAsFatal | ( |  | ) | const
| inline

Definition at line 134 of file DiagnosticIDs.h.

Referenced by toLevel().

## ◆ hasNoWarningAsError()

bool clang::DiagnosticMapping::hasNoWarningAsError | ( |  | ) | const
| inline

Definition at line 131 of file DiagnosticIDs.h.

Referenced by toLevel().

## ◆ isErrorOrFatal()

bool clang::DiagnosticMapping::isErrorOrFatal | ( |  | ) | const
| inline

Definition at line 126 of file DiagnosticIDs.h.

References clang::diag::Error, and clang::diag::Fatal.

Referenced by clang::ASTReader::ReadPragmaDiagnosticMappings().

## ◆ isPragma()

bool clang::DiagnosticMapping::isPragma | ( |  | ) | const
| inline

Definition at line 124 of file DiagnosticIDs.h.

Referenced by clang::ASTReader::ReadPragmaDiagnosticMappings().

## ◆ isUser()

bool clang::DiagnosticMapping::isUser | ( |  | ) | const
| inline

Definition at line 123 of file DiagnosticIDs.h.

Referenced by toLevel().

## ◆ Make()

static DiagnosticMapping clang::DiagnosticMapping::Make | ( | diag::Severity | Severity,
|  | bool | IsUser,
|  | bool | IsPragma
| ) |  |
| inline static

Definition at line 108 of file DiagnosticIDs.h.

Referenced by GetDefaultDiagMapping().

## ◆ serialize()

unsigned clang::DiagnosticMapping::serialize | ( |  | ) | const
| inline

Serialize this mapping as a raw integer.

Definition at line 144 of file DiagnosticIDs.h.

## ◆ setNoErrorAsFatal()

void clang::DiagnosticMapping::setNoErrorAsFatal | ( | bool | Value | ) |
| inline

Definition at line 135 of file DiagnosticIDs.h.

Referenced by clang::DiagnosticsEngine::setDiagnosticGroupErrorAsFatal().

## ◆ setNoWarningAsError()

void clang::DiagnosticMapping::setNoWarningAsError | ( | bool | Value | ) |
| inline

Definition at line 132 of file DiagnosticIDs.h.

Referenced by GetDefaultDiagMapping(), and clang::DiagnosticsEngine::setDiagnosticGroupWarningAsError().

## ◆ setSeverity()

void clang::DiagnosticMapping::setSeverity | ( | diag::Severity | Value | ) |
| inline

Definition at line 121 of file DiagnosticIDs.h.

Referenced by GetDefaultDiagMapping(), clang::ASTReader::ReadPragmaDiagnosticMappings(), clang::DiagnosticsEngine::setDiagnosticGroupErrorAsFatal(), and clang::DiagnosticsEngine::setDiagnosticGroupWarningAsError().

## ◆ setUpgradedFromWarning()

void clang::DiagnosticMapping::setUpgradedFromWarning | ( | bool | Value | ) |
| inline

Definition at line 141 of file DiagnosticIDs.h.

Referenced by clang::ASTReader::ReadPragmaDiagnosticMappings(), and clang::DiagnosticsEngine::setSeverity().

## ◆ wasUpgradedFromWarning()

bool clang::DiagnosticMapping::wasUpgradedFromWarning | ( |  | ) | const
| inline

Whether this mapping attempted to map the diagnostic to a warning, but was overruled because the diagnostic was already mapped to an error or fatal error.

Definition at line 140 of file DiagnosticIDs.h.

Referenced by clang::ASTReader::ReadPragmaDiagnosticMappings().

The documentation for this class was generated from the following file:

- include/clang/Basic/DiagnosticIDs.h